Bug 14733 - [ARB_fragment_program] Not set ALPHA channel when use state.depth.range
[ARB_fragment_program] Not set ALPHA channel when use state.depth.range
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: haihao
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 21:46 UTC by WuNian
Modified: 2009-08-24 12:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
test case (2.30 KB, text/plain)
2008-02-28 21:46 UTC, WuNian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description WuNian 2008-02-28 21:46:41 UTC
Created attachment 14692 [details]
test case

When use state.depth.range, the components value should be (n, f, f-n, 1). But we get value (n, f, f-n, 0), the Alpha channel is not set.
The bug also exists with i965 driver.
Comment 1 Roland Scheidegger 2008-02-29 18:02:58 UTC
should be fixed in commit 642d5ee8c51cdbab2b498c3413f29023f8ece929
Comment 2 WuNian 2008-03-02 18:27:37 UTC
Yes, Fixed. Thanks.
Comment 3 WuNian 2008-03-02 18:27:56 UTC
verified.
Comment 4 ajax at nwnk dot net 2009-08-24 12:29:31 UTC
Mass version move, cvs -> git